Name:          tinygrad
Version:       0.10.2
Release:       1%{?dist}
Summary:       A deep learning framework
License:       MIT
URL:           https://github.com/tinygrad/tinygrad
Source0:       %url/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildArch:     noarch
BuildRequires: python3-devel
BuildRequires: python3-setuptools

%description
You like pytorch? You like micrograd? You love tinygrad! A deep learning
framework somewhere between PyTorch and micrograd.

Due to its extreme simplicity, it aims to be the easiest framework to add
new accelerators to, with support for both inference and training. If XLA
is CISC, tinygrad is RISC.

%package  examples
Summary:  Examples for tinygrad
Requires: %{name} = %{version}-%{release}
Requires: python3-tiktoken
Requires: python3-pyopencl
Requires: clang

%description examples

%prep
%autosetup -p1
%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files tinygrad

%files -f %{pyproject_files}
%license LICENSE
%doc README.md

%files examples
%doc docs
%doc examples

%changelog
* Fri Feb 28 2025 Peter Robinson <pbrobinson@fedoraproject.org> - 0.10.2-1
- Update to 0.10.2

* Mon Feb 17 2025 Peter Robinson <pbrobinson@fedoraproject.org> - 0.10.1-1
- Update to 0.10.1

* Mon Jul 01 2024 Peter Robinson <pbrobinson@fedoraproject.org> - 0.9.1-1
- Update to 0.9.1

* Thu May 30 2024 Peter Robinson <pbrobinson@fedoraproject.org> - 0.9.0-3
- Require clang, pyopencl for examples

* Thu May 30 2024 Peter Robinson <pbrobinson@fedoraproject.org> - 0.9.0-2
- Require python3-tiktoken for examples

* Thu May 30 2024 Peter Robinson <pbrobinson@fedoraproject.org> - 0.9.0-1
- Update to 0.9.0

* Fri Jan 12 2024 Peter Robinson <pbrobinson@fedoraproject.org> - 0.8.0-1
- Update to 0.8.0

* Tue Sep 05 2023 Peter Robinson <pbrobinson@fedoraproject.org> - 0.7.0-1
- Update to 0.7.0

* Thu Jul 13 2023 Peter Robinson <pbrobinson@fedoraproject.org> - 0.6.0-3
- Add docs to examples package

* Thu Jul 13 2023 Peter Robinson <pbrobinson@fedoraproject.org> - 0.6.0-2
- Add examples subpackage

* Tue Jun 20 2023 Peter Robinson <pbrobinson@fedoraproject.org> - 0.6.0-1
- Initial package
